using Microsoft.AspNetCore.Http;
using Volo.Abp.Users;
using Yi.Framework.AiHub.Domain.Shared.Consts;

namespace Yi.Framework.AiHub.Domain.Extensions;

public static class CurrentExtensions
{
    public static bool IsAiVip(this ICurrentUser currentUser)
    {
        return currentUser.Roles.Contains(AiHubConst.VipRole) || currentUser.UserName == "cc";
    }
}